Bug 7703 - sound not working on sparc
sound not working on sparc
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: multimedia (Show other bugs)
6.1
sparc Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-09 11:23 EST by Simon McKay-Mills
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 13:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon McKay-Mills 1999-12-09 11:23:17 EST
There is no audio in X. The sound configuration tool works correctly so
that Linus's voice is heard (even when run under X) but the CD player, or
system sounds do not work. The CD player "seems" to think it is working and
retrieves the CDDB entry OK but no sound
Comment 1 Bill Nottingham 1999-12-09 12:30:59 EST
What sort of Sparc, and which sound chip do you have?

------- Email From  Simon McKay-Mills <simon@ipirion.com> 12/09/99 12:40 -------
Attached to Bug # 7703.
Comment 2 Bill Nottingham 1999-12-09 17:31:59 EST
First, I'm not sure that the CDs on sparcs are hooked up
to the sound; you may have to use the headphone jack.
(It's that way on the ultra10 we have here.)

However, the system sounds work fine for me once I've
set them up; what errors are you getting. Is esd running?

------- Email From  Simon McKay-Mills <simon@ipirion.com> 12/09/99 19:03 -------
Attached to Bug # 7703.
Comment 3 Bill Nottingham 1999-12-16 15:36:59 EST
- is the CD channel muted in the mixer?

- if you attach headphones to the CD's headphone jack, does
  output come out there?

ESD does need to be running for the system sounds in Gnome.
If you're using KDE, kaudioserver needs to be running.
Comment 4 govind.vaidya 2000-01-14 19:13:59 EST
Same problem I've on my ultra10. If I connect external speakers to front of
CD, it works, but if I connect the speakers on back side, no sound output
is coming. I verified on my ultra10 that there is connection going from CDROM
to the pins on the motherboard.
Comment 5 Bill Nottingham 2000-01-18 13:09:59 EST
Do (as root):

audioctl -f /dev/audio -w monitor_gain=240

(or so - valid values are 0-255, I had to set it above 210 to hear anything.)
Comment 6 govind.vaidya 2000-01-27 15:25:59 EST
I'm still having trouble in getting sound through CDROM. Can I get pointer to
docs. which has steps to make CDROM audio to play? I tried all the options.
What I'm I missing?
Comment 7 Bill Nottingham 2000-01-27 18:14:59 EST
OK, assuming you want sound out of the internal speakers.

1) Make sure sound is configured correctly; load the cs4231 module
and make sure you can play sounds.
2) Make sure the volume is at a reasonable level, using
whichever mixer you prefer.
3) Make sure the cable is running from the CD-ROM to the motherboard.
4) Try running 'audioctl -f /dev/audio -w monitor_gain=240'.

If that doesn't work, post the output of "audioctl -f /dev/audio -a".
Comment 8 govind.vaidya 2000-01-27 18:42:59 EST
Here is the output of "audioctl -f /dev/audio -a"

name=SUNW,CS4231
version=a
config=onboard1
encodings=not yet implemented
monitor_gain=240
output_muted=0
play.rate=8000
play.channels=1
play.precision=8
play.encoding=linear8
play.gain=136
play.balance=32
play.port=0x1 (speaker (0x1))
play.avail_ports=0x7 (speaker (0x1)|headphone (0x2)|line out (0x4))
play.samples=0
play.eof=0
play.pause=0
play.error=0
play.waiting=0
play.open=1
play.active=0
play.buffer_size=0
record.rate=8000
record.channels=1
record.precision=8
record.encoding=linear8
record.gain=143
record.balance=32
record.port=0x1 (microphone (0x1))
record.avail_ports=0x47 (microphone (0x1)|line in (0x2)|internal cd (0x4)|analog
loopback (0x40))
record.samples=1981838191
record.eof=0
record.pause=0
record.error=35
record.waiting=0
record.open=0
record.active=0
record.buffer_size=0
record.errors=0

Note You need to log in before you can comment on or make changes to this bug.